UBotRobotParams_t Struct Reference

## Public Attributes

char * | Class
char * | Subclass
int32_t | MaxVelocity
int32_t | MaxRVelocity
int32_t | RobotRadius
int32_t | RobotAxleLength
double | PulsesPerMM
int32_t | PulsesPerMMF
double | MMPerPulses
int32_t | MMPerPulsesF
double | PulsesPerMMMS
int32_t | PulsesPerMMMSF
double | MMPerPulsesMS
int32_t | MMPerPulsesMSF
uint16_t | NumberIRSensors
int16_t | ir_pose [PLAYER_IR_MAX_SAMPLES][3]
uint16_t | pos_kp
uint16_t | pos_ki
uint16_t | pos_kd

The documentation for this struct was generated from the following file:

- reb_params.h

Last updated 12 September 2005 21:38:45